import { WebPlugin } from '@capacitor/core';
import type { StoragePlugin, ConfigureOptions, GetOptions, GetResult, SetOptions, RemoveOptions, KeysResult, MigrateResult } from './definitions';
export declare class StorageWeb extends WebPlugin implements StoragePlugin {
    private group;
    configure({ group }: ConfigureOptions): Promise<void>;
    get(options: GetOptions): Promise<GetResult>;
    set(options: SetOptions): Promise<void>;
    remove(options: RemoveOptions): Promise<void>;
    keys(): Promise<KeysResult>;
    clear(): Promise<void>;
    migrate(): Promise<MigrateResult>;
    removeOld(): Promise<void>;
    private get impl();
    private get prefix();
    private rawKeys;
    private applyPrefix;
}
