import { ToastOptions } from '@ionic/core';
import { HookOverlayOptions } from './HookOverlayOptions';
/**
 * A hook for presenting/dismissing an IonToast component
 * @returns Returns the present and dismiss methods in an array
 */
export declare function useIonToast(): UseIonToastResult;
export declare type UseIonToastResult = [{
    /**
     * Presents the toast
     * @param message Message to be shown in the toast.
     * @param duration Optional - How many milliseconds to wait before hiding the toast. By default, it will show until dismissToast() is called.
     */
    (message: string, duration?: number): void;
    /**
     * Presents the Toast
     * @param options The options to pass to the IonToast.
     */
    (options: ToastOptions & HookOverlayOptions): void;
}, 
/**
 * Dismisses the toast
 */
() => void];
